> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Drip Step



## OpenAPI

````yaml /openapi/mio-openapi.json patch /v1/hubs/{hub_id}/drip-campaigns/{campaign_id}/steps/{step_id}
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /v1/hubs/{hub_id}/drip-campaigns/{campaign_id}/steps/{step_id}:
    patch:
      tags:
        - drip-campaigns
      summary: Patch Drip Step
      operationId: >-
        drip_campaigns.patch_drip_campaigns_patch_v1_hubs_by_hub_id_drip_campaigns_by_campaign_id_steps_by_step_id
      parameters:
        - in: path
          name: hub_id
          required: true
          schema:
            title: Hub Id
            type: string
        - in: path
          name: campaign_id
          required: true
          schema:
            title: Campaign Id
            type: string
        - in: path
          name: step_id
          required: true
          schema:
            title: Step Id
            type: string
      requestBody:
        content:
          application/vnd.api+json:
            schema:
              $ref: '#/components/schemas/DripStepPatchRequest'
        required: true
      responses:
        '200':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/JsonApiResponse_DripStepOut_'
          description: Successful Response
        '422':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    DripStepPatchRequest:
      properties:
        data:
          $ref: '#/components/schemas/DripStepResource'
      required:
        - data
      title: DripStepPatchRequest
      type: object
    JsonApiResponse_DripStepOut_:
      properties:
        data:
          $ref: '#/components/schemas/JsonApiResource_DripStepOut_'
        included:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Included
        links:
          anyOf:
            - $ref: '#/components/schemas/JsonApiLinks'
            - type: 'null'
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
      required:
        - data
      title: JsonApiResponse[DripStepOut]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    DripStepResource:
      properties:
        attributes:
          $ref: '#/components/schemas/DripStepAttributes'
        type:
          const: drip_steps
          default: drip_steps
          title: Type
          type: string
      required:
        - attributes
      title: DripStepResource
      type: object
    JsonApiResource_DripStepOut_:
      properties:
        attributes:
          $ref: '#/components/schemas/DripStepOut'
        id:
          title: Id
          type: string
        links:
          anyOf:
            - $ref: '#/components/schemas/JsonApiLinks'
            - type: 'null'
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        relationships:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Relationships
        type:
          title: Type
          type: string
      required:
        - id
        - type
        - attributes
      title: JsonApiResource[DripStepOut]
      type: object
    JsonApiLinks:
      properties:
        self:
          anyOf:
            - type: string
            - type: 'null'
          title: Self
      title: JsonApiLinks
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    DripStepAttributes:
      properties:
        delay_days:
          anyOf:
            - maximum: 2147483647
              minimum: 0
              type: integer
            - type: 'null'
          title: Delay Days
        position:
          anyOf:
            - maximum: 2147483647
              minimum: 1
              type: integer
            - type: 'null'
          title: Position
        send_at_absolute:
          anyOf:
            - type: string
            - type: 'null'
          title: Send At Absolute
        subject_override:
          anyOf:
            - type: string
            - type: 'null'
          title: Subject Override
        template_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Template Id
        template_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Template Ref
      title: DripStepAttributes
      type: object
    DripStepOut:
      description: |-
        Attributes block for a ``drip_steps`` resource object.

        Mirrors the flat dict returned by DripService.create_step /
        update_step.
      properties:
        campaign_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Campaign Id
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        delay_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Delay Days
        position:
          anyOf:
            - type: integer
            - type: 'null'
          title: Position
        send_at_absolute:
          anyOf:
            - type: string
            - type: 'null'
          title: Send At Absolute
        subject_override:
          anyOf:
            - type: string
            - type: 'null'
          title: Subject Override
        template_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Template Id
        template_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Template Ref
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      title: DripStepOut
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````